export declare class HackMDError extends Error {
    constructor(message: string);
}
export declare class HttpResponseError extends HackMDError {
    readonly code: number;
    readonly statusText: string;
    constructor(message: string, code: number, statusText: string);
}
export declare class MissingRequiredArgument extends HackMDError {
}
export declare class InternalServerError extends HttpResponseError {
}
export declare class TooManyRequestsError extends HttpResponseError {
    readonly code: number;
    readonly statusText: string;
    readonly userLimit: number;
    readonly userRemaining: number;
    readonly resetAfter?: number | undefined;
    constructor(message: string, code: number, statusText: string, userLimit: number, userRemaining: number, resetAfter?: number | undefined);
}
